com.rscja.team.qcom.deviceapi

## Class BleDevice_qcom

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.BleDevice_qcom

- All Implemented Interfaces:
    IBleDevice

      public class BleDevice_qcom
      extends java.lang.Object
      implements IBleDevice

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BleDevice_qcom(java.lang.String address, android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `blockWriteData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)`
    `void` | `connect()`
    `void` | `connect(ConnectionStatusCallback<java.lang.Object> btStatusCallback)`
    `boolean` | `deleteAllTagToFlash()`
    `void` | `disconnect()`
    `boolean` | `eraseData(java.lang.String accessPwd, int bank, int ptr, int cnt)`
    `boolean` | `eraseData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)`
    `java.lang.String` | `generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank, int lockMode)`
    `int` | `getAllTagTotalFromFlash()`
    `int` | `getBattery()`
    `BleDevice.BleDeviceInfo` | `getBleDeviceInfo()`
    `java.lang.String` | `getBleHardwareVersion()`
    `java.util.HashMap<java.lang.String,java.lang.String>` | `getBluetoothVersion()`
    `ConnectionStatus` | `getConnectStatus()`
    `int` | `getCW()`
    `InventoryModeEntity` | `getEPCAndTIDUserMode()`
    `int` | `getFastID()`
    `int` | `getFrequencyMode()`
    `Gen2Entity` | `getGen2()`
    `java.lang.String` | `getMainboardVersion()`
    `int` | `getNewTagTotalFromFlash()`
    `int` | `getPower()`
    `int` | `getProtocol()`
    `int` | `getRFLink()`
    `java.util.List<UHFTAGInfo>` | `getTagDataFromFlash()`
    `int` | `getTagfocus()`
    `int` | `getTemperature()`
    `java.lang.String` | `getUhfSoftwareVersion()`
    `void` | `init(android.content.Context context)`
    `UHFTAGInfo` | `inventorySingleTag()`
    `boolean` | `isInventorying()`
    `boolean` | `isSupportRssi()`
    `boolean` | `killTag(java.lang.String killPwd)`
    `boolean` | `killTag(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData)`
    `boolean` | `lockMem(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String filterData, java.lang.String lockCode)`
    `boolean` | `lockMem(java.lang.String accessPwd, java.lang.String lockCode)`
    `java.lang.String` | `readData(java.lang.String accessPwd, int bank, int ptr, int cnt)`
    `java.lang.String` | `readData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt)`
    `java.lang.String` | `scanBarcode()`
    `byte[]` | `scanBarcodeToBytes()`
    `boolean` | `setBeep(boolean isOpen)`
    `void` | `setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)`
    `boolean` | `setCW(int flag)`
    `boolean` | `setEPCAndTIDMode()`
    `boolean` | `setEPCAndTIDUserMode(int user_prt, int user_len)`
    `boolean` | `setEPCMode()`
    `boolean` | `setFastID(boolean enalbe)`
    `boolean` | `setFilter(int bank, int ptr, int cnt, java.lang.String data)`
    `boolean` | `setFreHop(float fre)`
    `boolean` | `setFrequencyMode(int freMode)`
    `boolean` | `setGen2(Gen2Entity gen2Entity)`
    `void` | `setInventoryCallback(IUHFInventoryCallback inventoryCallback)`
    `void` | `setKeyEventCallback(KeyEventCallback KeyEventCallback)`
    `boolean` | `setPower(int power)`
    `boolean` | `setProtocol(int protocol)`
    `boolean` | `setRemoteBluetoothName(java.lang.String name)`
    `boolean` | `setRFLink(int mode)`
    `void` | `setSupportRssi(boolean isSupportRssi)`
    `boolean` | `setTagFocus(boolean enalbe)`
    `boolean` | `startInventoryTag()`
    `boolean` | `startLocation(java.lang.String label, int bank, int ptr, IUHFLocationCallback locationCallback)`
    `boolean` | `stopInventory()`
    `boolean` | `stopLocation()`
    `boolean` | `uhfBlockPermalock(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int ReadLock, int uBank, int uPtr, int uRange, byte[] uMaskbuf)`
    `boolean` | `uhfJump2Boot()`
    `boolean` | `uhfJump2Boot(int type)`
    `boolean` | `uhfJumpToMainboardBoot()`
    `boolean` | `uhfStartUpdate()`
    `boolean` | `uhfStopUpdate()`
    `boolean` | `uhfUpdating(byte[] buff)`
    `boolean` | `writeData(java.lang.String accessPwd, int bank, int ptr, int cnt, java.lang.String data)`
    `boolean` | `writeData(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, int bank, int ptr, int cnt, java.lang.String writeData)`
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, int filterBank, int filterPtr, int filterCnt, java.lang.String filterData, java.lang.String writeData)`
    `boolean` | `writeDataToEpc(java.lang.String accessPwd, java.lang.String writeData)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BleDevice_qcom

          public BleDevice_qcom(java.lang.String address,
                                android.content.Context context)

  - ### Method Detail

    - #### init

          public void init(android.content.Context context)

    - #### connect

          public void connect()

      Specified by:
        `connect` in interface `IBleDevice`

    - #### connect

          public void connect(ConnectionStatusCallback<java.lang.Object> btStatusCallback)

      Specified by:
        `connect` in interface `IBleDevice`

    - #### disconnect

          public void disconnect()

      Specified by:
        `disconnect` in interface `IBleDevice`

    - #### setSupportRssi

          public void setSupportRssi(boolean isSupportRssi)

      Specified by:
        `setSupportRssi` in interface `IBleDevice`

    - #### uhfJumpToMainboardBoot

          public boolean uhfJumpToMainboardBoot()

      Specified by:
        `uhfJumpToMainboardBoot` in interface `IBleDevice`

    - #### setRemoteBluetoothName

          public boolean setRemoteBluetoothName(java.lang.String name)

      Specified by:
        `setRemoteBluetoothName` in interface `IBleDevice`

    - #### getBluetoothVersion

          public java.util.HashMap<java.lang.String,java.lang.String> getBluetoothVersion()

      Specified by:
        `getBluetoothVersion` in interface `IBleDevice`

    - #### getBleHardwareVersion

          public java.lang.String getBleHardwareVersion()

      Specified by:
        `getBleHardwareVersion` in interface `IBleDevice`

    - #### stopLocation

          public boolean stopLocation()

      Specified by:
        `stopLocation` in interface `IBleDevice`

    - #### startLocation

          public boolean startLocation(java.lang.String label,
                                       int bank,
                                       int ptr,
                                       IUHFLocationCallback locationCallback)

      Specified by:
        `startLocation` in interface `IBleDevice`

    - #### getMainboardVersion

          public java.lang.String getMainboardVersion()

      Specified by:
        `getMainboardVersion` in interface `IBleDevice`

    - #### getBattery

          public int getBattery()

      Specified by:
        `getBattery` in interface `IBleDevice`

    - #### setBeep

          public boolean setBeep(boolean isOpen)

      Specified by:
        `setBeep` in interface `IBleDevice`

    - #### scanBarcode

          public java.lang.String scanBarcode()

      Specified by:
        `scanBarcode` in interface `IBleDevice`

    - #### scanBarcodeToBytes

          public byte[] scanBarcodeToBytes()

      Specified by:
        `scanBarcodeToBytes` in interface `IBleDevice`

    - #### setKeyEventCallback

          public void setKeyEventCallback(KeyEventCallback KeyEventCallback)

      Specified by:
        `setKeyEventCallback` in interface `IBleDevice`

    - #### getPower

          public int getPower()

      Specified by:
        `getPower` in interface `IBleDevice`

    - #### setPower

          public boolean setPower(int power)

      Specified by:
        `setPower` in interface `IBleDevice`

    - #### getUhfSoftwareVersion

          public java.lang.String getUhfSoftwareVersion()

      Specified by:
        `getUhfSoftwareVersion` in interface `IBleDevice`

    - #### getFrequencyMode

          public int getFrequencyMode()

      Specified by:
        `getFrequencyMode` in interface `IBleDevice`

    - #### setFrequencyMode

          public boolean setFrequencyMode(int freMode)

      Specified by:
        `setFrequencyMode` in interface `IBleDevice`

    - #### startInventoryTag

          public boolean startInventoryTag()

      Specified by:
        `startInventoryTag` in interface `IBleDevice`

    - #### stopInventory

          public boolean stopInventory()

      Specified by:
        `stopInventory` in interface `IBleDevice`

    - #### generateLockCode

          public java.lang.String generateLockCode(java.util.ArrayList<java.lang.Integer> lockBank,
                                                   int lockMode)

      Specified by:
        `generateLockCode` in interface `IBleDevice`

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 int bank,
                                 int ptr,
                                 int cnt,
                                 java.lang.String filterData,
                                 java.lang.String lockCode)

      Specified by:
        `lockMem` in interface `IBleDevice`

    - #### lockMem

          public boolean lockMem(java.lang.String accessPwd,
                                 java.lang.String lockCode)

      Specified by:
        `lockMem` in interface `IBleDevice`

    - #### inventorySingleTag

          public UHFTAGInfo inventorySingleTag()

      Specified by:
        `inventorySingleTag` in interface `IBleDevice`

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           int bank,
                                           int ptr,
                                           int cnt)

      Specified by:
        `readData` in interface `IBleDevice`

    - #### readData

          public java.lang.String readData(java.lang.String accessPwd,
                                           int filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           java.lang.String filterData,
                                           int bank,
                                           int ptr,
                                           int cnt)

      Specified by:
        `readData` in interface `IBleDevice`

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data)

      Specified by:
        `writeData` in interface `IBleDevice`

    - #### writeData

          public boolean writeData(java.lang.String accessPwd,
                                   int filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String writeData)

      Specified by:
        `writeData` in interface `IBleDevice`

    - #### writeDataToEpc

          public boolean writeDataToEpc(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        java.lang.String writeData)

      Specified by:
        `writeDataToEpc` in interface `IBleDevice`

    - #### writeDataToEpc

          public boolean writeDataToEpc(java.lang.String accessPwd,
                                        java.lang.String writeData)

      Specified by:
        `writeDataToEpc` in interface `IBleDevice`

    - #### blockWriteData

          public boolean blockWriteData(java.lang.String accessPwd,
                                        int filterBank,
                                        int filterPtr,
                                        int filterCnt,
                                        java.lang.String filterData,
                                        int bank,
                                        int ptr,
                                        int cnt,
                                        java.lang.String writeData)

      Specified by:
        `blockWriteData` in interface `IBleDevice`

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   int filterBank,
                                   int filterPtr,
                                   int filterCnt,
                                   java.lang.String filterData,
                                   int bank,
                                   int ptr,
                                   int cnt)

      Specified by:
        `eraseData` in interface `IBleDevice`

    - #### eraseData

          public boolean eraseData(java.lang.String accessPwd,
                                   int bank,
                                   int ptr,
                                   int cnt)

      Specified by:
        `eraseData` in interface `IBleDevice`

    - #### setFilter

          public boolean setFilter(int bank,
                                   int ptr,
                                   int cnt,
                                   java.lang.String data)

      Specified by:
        `setFilter` in interface `IBleDevice`

    - #### killTag

          public boolean killTag(java.lang.String killPwd)

      Specified by:
        `killTag` in interface `IBleDevice`

    - #### killTag

          public boolean killTag(java.lang.String accessPwd,
                                 int filterBank,
                                 int filterPtr,
                                 int filterCnt,
                                 java.lang.String filterData)

      Specified by:
        `killTag` in interface `IBleDevice`

    - #### setProtocol

          public boolean setProtocol(int protocol)

      Specified by:
        `setProtocol` in interface `IBleDevice`

    - #### getProtocol

          public int getProtocol()

      Specified by:
        `getProtocol` in interface `IBleDevice`

    - #### setFreHop

          public boolean setFreHop(float fre)

      Specified by:
        `setFreHop` in interface `IBleDevice`

    - #### setRFLink

          public boolean setRFLink(int mode)

      Specified by:
        `setRFLink` in interface `IBleDevice`

    - #### getRFLink

          public int getRFLink()

      Specified by:
        `getRFLink` in interface `IBleDevice`

    - #### setFastID

          public boolean setFastID(boolean enalbe)

      Specified by:
        `setFastID` in interface `IBleDevice`

    - #### setTagFocus

          public boolean setTagFocus(boolean enalbe)

      Specified by:
        `setTagFocus` in interface `IBleDevice`

    - #### setEPCMode

          public boolean setEPCMode()

      Specified by:
        `setEPCMode` in interface `IBleDevice`

    - #### setEPCAndTIDMode

          public boolean setEPCAndTIDMode()

      Specified by:
        `setEPCAndTIDMode` in interface `IBleDevice`

    - #### setEPCAndTIDUserMode

          public boolean setEPCAndTIDUserMode(int user_prt,
                                              int user_len)

      Specified by:
        `setEPCAndTIDUserMode` in interface `IBleDevice`

    - #### getEPCAndTIDUserMode

          public InventoryModeEntity getEPCAndTIDUserMode()

      Specified by:
        `getEPCAndTIDUserMode` in interface `IBleDevice`

    - #### getTemperature

          public int getTemperature()

      Specified by:
        `getTemperature` in interface `IBleDevice`

    - #### uhfBlockPermalock

          public boolean uhfBlockPermalock(java.lang.String accessPwd,
                                           int filterBank,
                                           int filterPtr,
                                           int filterCnt,
                                           java.lang.String filterData,
                                           int ReadLock,
                                           int uBank,
                                           int uPtr,
                                           int uRange,
                                           byte[] uMaskbuf)

      Specified by:
        `uhfBlockPermalock` in interface `IBleDevice`

    - #### setGen2

          public boolean setGen2(Gen2Entity gen2Entity)

      Specified by:
        `setGen2` in interface `IBleDevice`

    - #### getGen2

          public Gen2Entity getGen2()

      Specified by:
        `getGen2` in interface `IBleDevice`

    - #### setCW

          public boolean setCW(int flag)

      Specified by:
        `setCW` in interface `IBleDevice`

    - #### getCW

          public int getCW()

      Specified by:
        `getCW` in interface `IBleDevice`

    - #### uhfJump2Boot

          public boolean uhfJump2Boot()

      Specified by:
        `uhfJump2Boot` in interface `IBleDevice`

    - #### uhfJump2Boot

          public boolean uhfJump2Boot(int type)

      Specified by:
        `uhfJump2Boot` in interface `IBleDevice`

    - #### uhfStartUpdate

          public boolean uhfStartUpdate()

      Specified by:
        `uhfStartUpdate` in interface `IBleDevice`

    - #### uhfUpdating

          public boolean uhfUpdating(byte[] buff)

      Specified by:
        `uhfUpdating` in interface `IBleDevice`

    - #### uhfStopUpdate

          public boolean uhfStopUpdate()

      Specified by:
        `uhfStopUpdate` in interface `IBleDevice`

    - #### setConnectionStatusCallback

          public void setConnectionStatusCallback(ConnectionStatusCallback<java.lang.Object> btStatusCallback)

      Specified by:
        `setConnectionStatusCallback` in interface `IBleDevice`

    - #### getConnectStatus

          public ConnectionStatus getConnectStatus()

      Specified by:
        `getConnectStatus` in interface `IBleDevice`

    - #### isInventorying

          public boolean isInventorying()

      Specified by:
        `isInventorying` in interface `IBleDevice`

    - #### setInventoryCallback

          public void setInventoryCallback(IUHFInventoryCallback inventoryCallback)

      Specified by:
        `setInventoryCallback` in interface `IBleDevice`

    - #### getAllTagTotalFromFlash

          public int getAllTagTotalFromFlash()

      Specified by:
        `getAllTagTotalFromFlash` in interface `IBleDevice`

    - #### deleteAllTagToFlash

          public boolean deleteAllTagToFlash()

      Specified by:
        `deleteAllTagToFlash` in interface `IBleDevice`

    - #### getTagDataFromFlash

          public java.util.List<UHFTAGInfo> getTagDataFromFlash()

      Specified by:
        `getTagDataFromFlash` in interface `IBleDevice`

    - #### getNewTagTotalFromFlash

          public int getNewTagTotalFromFlash()

      Specified by:
        `getNewTagTotalFromFlash` in interface `IBleDevice`

    - #### getBleDeviceInfo

          public BleDevice.BleDeviceInfo getBleDeviceInfo()

      Specified by:
        `getBleDeviceInfo` in interface `IBleDevice`

    - #### getFastID

          public int getFastID()

      Specified by:
        `getFastID` in interface `IBleDevice`

    - #### getTagfocus

          public int getTagfocus()

      Specified by:
        `getTagfocus` in interface `IBleDevice`

    - #### isSupportRssi

          public boolean isSupportRssi()

      Specified by:
        `isSupportRssi` in interface `IBleDevice`